/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.saas.dto.datasource;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
* Restful接口--资源详情--数据传输对象：数据库集群
*
* createdate:  2021-03-17 09:53:21  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "数据库集群")
public class SaaSDataSourceClusterDetailDto implements Serializable
{
  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 集群名称<br>
   */
  @ApiModelProperty("集群名称")
  @Size(max = 128, message="集群名称-clusterName: 数据长度不能 > 128" )
  private String clusterName;
  /**
   * 数据库类型<br>
   */
  @ApiModelProperty("数据库类型")
  @Size(max = 16, message="数据库类型-databaseType: 数据长度不能 > 16" )
  private String databaseType;
  /**
   * 是否已使用<br>
   */
  @ApiModelProperty("是否已使用")
  private Boolean used;
  /**
   * 描述说明<br>
   */
  @ApiModelProperty("描述说明")
  @Size(max = 512, message="描述说明-memo: 数据长度不能 > 512" )
  private String memo;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;
  /**
   * 是否启用<br>
   */
  @ApiModelProperty("是否启用")
  private Boolean enabled;
  /**
   * 是否已删除<br>
   */
  @ApiModelProperty("是否已删除")
  private Boolean deleted;

  /**
   * 数据隔离级别<br>
   */
  @ApiModelProperty("数据隔离级别")
  @Size(max = 16, message="数据隔离级别-isolationLevel: 数据长度不能 > 16" )
  private String isolationLevel;

  public String getId()
  {
    return id;
  }

  public void setId(String id)
  {
    this.id = id;
  }

  public String getClusterName()
  {
    return clusterName;
  }

  public void setClusterName(String clusterName)
  {
    this.clusterName = clusterName;
  }

  public String getDatabaseType()
  {
    return databaseType;
  }

  public void setDatabaseType(String databaseType)
  {
    this.databaseType = databaseType;
  }

  public Boolean getUsed()
  {
    return used;
  }

  public void setUsed(Boolean used)
  {
    this.used = used;
  }

  public String getMemo()
  {
    return memo;
  }

  public void setMemo(String memo)
  {
    this.memo = memo;
  }

  public String getCreatedBy()
  {
    return createdBy;
  }

  public void setCreatedBy(String createdBy)
  {
    this.createdBy = createdBy;
  }

  public Date getCreatedTime()
  {
    return createdTime;
  }

  public void setCreatedTime(Date createdTime)
  {
    this.createdTime = createdTime;
  }

  public String getUpdatedBy()
  {
    return updatedBy;
  }

  public void setUpdatedBy(String updatedBy)
  {
    this.updatedBy = updatedBy;
  }

  public Date getUpdatedTime()
  {
    return updatedTime;
  }

  public void setUpdatedTime(Date updatedTime)
  {
    this.updatedTime = updatedTime;
  }

  public Boolean getEnabled()
  {
    return enabled;
  }

  public void setEnabled(Boolean enabled)
  {
    this.enabled = enabled;
  }

  public Boolean getDeleted()
  {
    return deleted;
  }

  public void setDeleted(Boolean deleted)
  {
    this.deleted = deleted;
  }

  public String getIsolationLevel()
  {
    return isolationLevel;
  }

  public void setIsolationLevel(String isolationLevel)
  {
    this.isolationLevel = isolationLevel;
  }


}